﻿/*************************************\
 *          MDI-Anwendungen          *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.15      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_MDI_Anwendung
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }
        
        private void menuStripHauptfenster_ItemClicked(object sender, EventArgs e)
        {
            ToolStripMenuItem oMenuItem = (ToolStripMenuItem)sender;

            if (oMenuItem == neuesÖffnenToolStripMenuItem)
            {
                SubForm oSubForm = new SubForm();
                oSubForm.MdiParent = this;
                oSubForm.Show();
                aktuellesSchließenToolStripMenuItem.Enabled = true;
                alleSchließenToolStripMenuItem.Enabled = true;
            }
            else if (oMenuItem == aktuellesSchließenToolStripMenuItem)
            {
                this.ActiveMdiChild.Close();
                if (this.ActiveMdiChild == null)
                {
                    aktuellesSchließenToolStripMenuItem.Enabled = false;
                    alleSchließenToolStripMenuItem.Enabled = false;
                }
            }
            else if (oMenuItem == alleSchließenToolStripMenuItem)
            {
                foreach (Form oSubForm in this.MdiChildren)
                    oSubForm.Close();
                aktuellesSchließenToolStripMenuItem.Enabled = false;
                alleSchließenToolStripMenuItem.Enabled = false;
            }
            else if (oMenuItem == beendenToolStripMenuItem)
            {
                Close();
            }
        }
    }
}